#pragma once

static void checkCuda(const cudaError_t s, const char* file, const int line) {
  if(s != cudaSuccess) {
    fprintf(stderr, 
	    "%s:%d: CUDA error: %s\n", file, line, cudaGetErrorString(s));
    exit(1);
  }
}

#define check_cuda(x) checkCuda((x), __FILE__, __LINE__)
